Subject: Environment variables prefixed with REDIRECT _ ignored
Description

Using Apache mod_rewrite in certain setups (mostly PHP in CGl mode) makes environment variables from original requests available
in the target request as REDIRECT_<envvar>, thus e.g. setting TYPO3_DISABLED_CORE_UPDATER becomes
REDIRECT_TYPO3_DISABLED_CORE_UPDATER.

This should be handled transparently by GeneralUtility::getindpEnv() and relevant locations be updated (e.g. TYPO3_CONTEXT,
TYPO3_DISABLE_CORE_UPDATER).

Related issues:
related to Core - Bug # 58358: Use REDIRECT_TYPO3_CONTEXT as fallback for TYP... Closed 2014-04-30
precedes Core - Bug # 53188: REDIRECT_TYPO3_DISABLE_CORE_UPDATER ignored Resolved 2013-11-27 2013-11-27

Associated revisions

Revision f2ef9fab - 2014-04-30 18:38 - Steffen Miiller

[BUGFIX] Use REDIRECT__ prefix as fallback for environment variables

The core uses values of environment variables for
disabling the core updater and to determine the
application context.

When setting the variable with mod_rewrite, certain server environments
prefix the variable name with REDIRECT _.

To ensure compatibility for this case, REDIRECT_

prefix is prepended as a fallback if the regular

variable is not set.
History

#1 - 2013-11-26 11:19 - Mathias Brodala

What would be the impact including GeneralUtility into \Core\Bootstrap::getinstance() to handle REDIRECT_TYPO3_CONTEXT?

#2 - 2014-04-01 19:26 - Chris topher
- Status changed from New to Closed
- Target version deleted (6.2.0)

Duplicate of #53188.

#3 - 2014-04-30 15:33 - Gerrit Code Review

- Status changed from Closed to Under Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/25123

#4 - 2014-04-30 15:50 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/25123

#5 - 2014-04-30 16:03 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/25123

#6 - 2014-04-30 19:30 - Steffen Miiller
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:f2ef9fab1107b1fe067451c00e26ebadece7bad.
